/* 
 * This file is part of DesktopBSD, see the README file.
 *
 * Author: Peter Hofer <ph@desktopbsd.net>
 *         (C) 2004, 2005
 *
 * Copyright: BSD, see the COPYING file included in this distribution
 *
 */

#include <qlayout.h>

#include <klocale.h>
#include <kglobal.h>
#include <kparts/genericfactory.h>

#include <modusers.h>
#include <dbsdinitglobal.h>

#include "dbsdusers.h"

typedef KGenericFactory<DBSDUsers, QWidget> DBSDUsersFactory;
K_EXPORT_COMPONENT_FACTORY(kcm_DBSDUsers, DBSDUsersFactory("kcm_dbsdusers"))

extern "C"
{
	KCModule *create_dbsdusers(QWidget  *parent, const char  *name)
	{
		DBSDGlobalInitializer::initGlobal();
		return	new DBSDUsers(parent, name);
	};
}

DBSDUsers::DBSDUsers(QWidget  *parent, const char  *name,  __unused  const QStringList &  list)
	:	DBSDRootOnlyKCModule((geteuid() == 0) ? (new modUsers) : NULL,  parent,  name,  list)
{
}

DBSDUsers::~ DBSDUsers() {
}

QString  DBSDUsers::kcmoduleName() {
	return  "dbsdusers";
}
